SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001818SOGoWeb Calendarpublic2012-05-24 04:102012-05-28 19:08
ReporterChristian Mack 
Assigned Tofrancis 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOS Version
Product Version1.3.15a 
Target VersionFixed in Version1.3.16 
Summary0001818: turning calendars on and off is not done in calendars list
DescriptionNormally you can turn calendars on/off by setting/removing a hook in the "calendars" list before its name.
When doing this in 1.3.15a the events from the calendar enabled/disabled in the view, but not in the calendars list.
So you can't change it back.

Workaround:
After changing the visibility of a calendar, go to either "Address Book" or "Mail" and then back to "Calendar".
Only then the calendars list is updated to the current state.

This is a regression and an annoying one too.
Steps To Reproduce1) Login into SOGo 1.3.15a (there is no 1.3.15a in the BTS)
2) Go to "Calendar"
3) select tab "Calendars"
4) Disable e.g. the "personal calendar" by clicking on the hook.
   Now all events from "personal calendar" vanish, but in the list it is still marked with the hook!
5) If you click on the hook again, nothing happens.
   You have to use the workaround, in order to see the hook as not set AND to be able to enable this calendar again.
Additional InformationVersion 1.3.15 (root@vizzini.inverse.ca 201205181142)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate 0001824closedludovic checking/unchecking calendars in the list 

-  Notes
User avatar (0003971)
Christian Mack (developer)
2012-05-24 04:16

Tried the online demo page with Version 2.0.0 (root@vizzini.inverse.ca 201205151459).
There it happens too.
User avatar (0003972)
ludovic (administrator)
2012-05-24 05:27

Try this patch:

http://mtn.inverse.ca/revision/diff/8c8a0d34571f1ad215b38b68796cff75b4bb787e/with/217d9d9c614ee3505938f345452c5569bb650a58 [^]
(0003973)
dani (reporter)
2012-05-24 05:46

This patch is working for me. Will a 1.3.15b will be released with it ?
User avatar (0003974)
Christian Mack (developer)
2012-05-24 06:14

I can confirm that this patch works for us too.

- Issue History
Date Modified Username Field Change
2012-05-24 04:10 Christian Mack New Issue
2012-05-24 04:16 Christian Mack Note Added: 0003971
2012-05-24 05:27 ludovic Note Added: 0003972
2012-05-24 05:46 dani Note Added: 0003973
2012-05-24 06:14 Christian Mack Note Added: 0003974
2012-05-24 08:40 francis OS CentOS =>
2012-05-24 08:40 francis Product Version => 1.3.15a
2012-05-28 19:08 francis Status new => resolved
2012-05-28 19:08 francis Fixed in Version => 1.3.16
2012-05-28 19:08 francis Resolution open => fixed
2012-05-28 19:08 francis Assigned To => francis
2012-05-31 14:01 ludovic Relationship added has duplicate 0001824


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker